# The Docker image that will be used to build your app
image: harbor.pagoda.os.univ-lyon1.fr/ecoquery-hugo/hugo:latest



pages:
  script:
      - hugo version
      - cd web
      - ls -la content
      - hugo -v --gc
      - hugo list drafts
      - mv public ../public
      - ls -la ../public
      - ls -la ../public/tags
      # - ls -la ../public/page
      # - ls -la ../public/categories
      # - cat ../public/index.html
  artifacts:
    paths:
      - public
  only:
    - main



# test:
#   script:
#       - pwd
#       - cd web
#       - hugo
#       - mv public ../public
#       - ls -la ..
#       - ls -la ../public
#       - chmod 755 ../public
#       - chmod 644 ../public/index.html
#   except:
#     - main
